
Atlas is an in-house framework designed to create custom AI Agents with ease and zero coupling. Built by Vuhosi, Atlas aims to provide a simplified, less bloated alternative to existing AI agent frameworks.



## Overview

Atlas was born out of the need for a more reliable and efficient AI agent framework. After experiencing underwhelming results with existing solutions like Crewai in production environments, we decided to create our own low-coupling abstraction on top of OpenAI's assistants and function calling capabilities.

The primary goal of Atlas is to maintain a sequential flow of multiple agents in a pipeline, providing a streamlined approach to AI agent development and deployment.

## Features

- Zero coupling design for flexibility and ease of use
- Built on top of OpenAI's assistants and function calling
- Simplified, less bloated framework
- Sequential flow of multiple agents in a pipeline
- Four different types of AI Agents to suit various use cases
- Customizable prompting system


## Agent Types

Atlas supports four different types of AI Agents:

1. **Assistants**: Utilizes OpenAI assistants under the hood, combining function calling for fast and efficient operations.

2. **Conversational Persona Bots**: Assistants in a loop with the user, designed for interactive conversations.

3. **ReAct-based Agents**: Implements a Reasoning and Action loop to accomplish tasks effectively.

4. **PAL Agents**: Program-Aided Language models built for complex problem-solving scenarios.

## Why Atlas?

Atlas addresses the reliability issues faced with other frameworks when deploying AI crews to production environments. By creating a custom, low-coupling abstraction, we aim to provide a more dependable and efficient solution for AI agent development and deployment.

---

Built with ❤️ by Vuhosi
